Debian Bug report logs - #514018
Efreet: signedness errors cause malfunctions on some

version graph

Package: efreet; Maintainer for efreet is Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>;

Reported by: Luca Capello <luca@pca.it>

Date: Tue, 3 Feb 2009 13:21:01 UTC

Severity: important

Fixed in version efreet/0.5.0.050+svn20090203-2

Done: Albin Tonnerre <albin.tonnerre@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca Capello <luca@pca.it>, "ML Debian FreeSmartphone.Org Team" <pkg-fso-maint@lists.alioth.debian.org>, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Tue, 03 Feb 2009 13:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
New Bug report received and forwarded. Copy sent to Luca Capello <luca@pca.it>, "ML Debian FreeSmartphone.Org Team" <pkg-fso-maint@lists.alioth.debian.org>, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Tue, 03 Feb 2009 13:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: e17: missing Illume launcher icons
Date: Tue, 03 Feb 2009 14:19:31 +0100
[Message part 1 (text/plain, inline)]
Package: e17
Version: 0.16.999.050+svn20081207-3
Severity: important
User: pkg-fso-maint@lists.alioth.debian.org
Usertags: config-illume

Hello,

as reported by Sebastian Reichel at [1], the Illume launcher does not
show any icons, so it is not possible to start applications.
~/.xsession-errors: gives the cause:

--8<---------------cut here---------------start------------->8---
ESTART: 1.59827 [0.00034] - load modules
EDJE ERROR: file /usr/share/enlightenment/data/themes/illume.edj, \
 group e/modules/kbd/base/default has a non-fixed part. add fixed: 1 1; ???
  Problem part is: e.text.label
  Will recalc min size not allowing broken parts to affect the result.

***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.

[other similar messages]
--8<---------------cut here---------------end--------------->8---

The problem comes from src/modules/illume/e_flaunch.c:104, where
bar_desktops is NULL.

Thx, bye,
Gismo / Luca

PS, this bug was found with the unofficial version the pkg-fso team
    maintains.  I could not try with the official experimental version
    because there is no Illume module there

Footnotes: 
[1] http://lists.linuxtogo.org/pipermail/smartphones-userland/2009-January/000915.html

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: armel (armv4tl)

Kernel: Linux 2.6.24-20081103.git7172ec57 (PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages e17 depends on:
ii  e17-data    0.16.999.050+svn20081207-3   Enlightenment Window Manager Run T
ii  libasound2  1.0.16-2                     ALSA library
ii  libc6       2.7-18                       GNU C Library: Shared libraries
ii  libcurl3    7.18.2-8                     Multi-protocol file transfer libra
ii  libdbus-1-3 1.2.1-5                      simple interprocess messaging syst
ii  libecore-0. 0.9.9.050+svn20081201-2~fr.1 Core abstraction layer for enlight
ii  libecore-co 0.9.9.050+svn20081201-2~fr.1 Ecore Connection Library
ii  libecore-ev 0.9.9.050+svn20081201-2~fr.1 Ecore Evas Wrapper Library
ii  libecore-fb 0.9.9.050+svn20081201-2~fr.1 Ecore frame buffer system function
ii  libecore-fi 0.9.9.050+svn20081201-2~fr.1 Ecore File Library
ii  libecore-im 0.9.9.050+svn20081201-2~fr.1 Ecore Input Method Framework modul
ii  libecore-ip 0.9.9.050+svn20081201-2~fr.1 Ecore inter-process communication 
ii  libecore-jo 0.9.9.050+svn20081201-2~fr.1 Ecore job dealing functions
ii  libecore-tx 0.9.9.050+svn20081201-2~fr.1 Ecore text encoding conversion fun
ii  libecore-x0 0.9.9.050+svn20081201-2~fr.1 Ecore functions for dealing with t
ii  libedbus-0. 0.5.0.050+svn20081126-2~fr.1 D-Bus and HAL wrapper libraries fo
ii  libedje-0.9 0.9.9.050+svn20081206-2~fr.1 Graphical layout and animation lib
ii  libedje-bin 0.9.9.050+svn20081206-2~fr.1 Various binaries for use with libe
ii  libeet1     1.1.0-1                      Enlightenment DR17 file chunk read
ii  libefreet0  0.5.0.050+svn20081114-2~fr.1 Library that implements freedeskto
ii  libeina-0.0 0.0.1~svn20081120-2~fr.1     Enlightenment Foundation Library p
ii  libembryo0  0.9.9.043-1                  SMALL-based abstract machine (AMX)
ii  libevas-0.9 0.9.9.050+svn20081206-2~fr.1 Enlightenment DR17 advanced canvas
ii  libevas-0.9 0.9.9.050+svn20081206-2~fr.1 Evas module providingg the framebu
ii  libgcc1     1:4.3.3-3                    GCC support library
ii  libpam0g    1.0.1-5                      Pluggable Authentication Modules l
ii  libssl0.9.8 0.9.8g-15                    SSL shared libraries
ii  libx11-6    2:1.1.5-2                    X11 client-side library
ii  libxext6    2:1.0.4-1                    X11 miscellaneous extension librar

e17 recommends no packages.

e17 suggests no packages.

-- no debconf information
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Tue, 03 Feb 2009 16:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Albin Tonnerre <albin.tonnerre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Tue, 03 Feb 2009 16:24:02 GMT) Full text and rfc822 format available.

Message #10 received at 514018@bugs.debian.org (full text, mbox):

From: Albin Tonnerre <albin.tonnerre@gmail.com>
To: Luca Capello <luca@pca.it>, 514018@bugs.debian.org
Cc: pkg-fso-maint@lists.alioth.debian.org
Subject: Re: [pkg-fso-maint] Bug#514018: e17: missing Illume launcher icons
Date: Tue, 3 Feb 2009 17:17:09 +0100
[Message part 1 (text/plain, inline)]
severity 514018 normal
thanks

On Tue, Feb 03, 2009 at 02:19:31PM +0100, Luca Capello wrote :
> The problem comes from src/modules/illume/e_flaunch.c:104, where
> bar_desktops is NULL.

This is unlikely to be the cause of the issue, bar_desktops here is the list of
entries in the category "Bar". How did you come to the conclusion that the issue
lies in this particular code path ?
Besides, illume actually display icons there, (with the menu shipped in e17), so
i'd like to know what menu file you're actually using.
In the meantime, I'm downgrading it to normal.

Cheers,
Albin

PS: illume does have an issue with icons, as some of them are not showing. But
still, the items are present and clickable. Maybe a more recent snapshot would
fix this, I'll look into it
[signature.asc (application/pgp-signature, inline)]

Severity set to `normal' from `important' Request was from Albin Tonnerre <albin.tonnerre@gmail.com> to control@bugs.debian.org. (Tue, 03 Feb 2009 16:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Tue, 03 Feb 2009 18:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Tue, 03 Feb 2009 18:33:05 GMT) Full text and rfc822 format available.

Message #17 received at 514018@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 514018@bugs.debian.org
Cc: pkg-fso-maint@lists.alioth.debian.org
Subject: Re: [pkg-fso-maint] Bug#514018: e17: missing Illume launcher icons
Date: Tue, 03 Feb 2009 19:31:18 +0100
[Message part 1 (text/plain, inline)]
Hi Albin!

On Tue, 03 Feb 2009 17:17:09 +0100, Albin Tonnerre wrote:
> severity 514018 normal

IMHO this bug has bigger severity than normal: there is no way to start
an application, not even from the terminal because of bug #514021 [1]
(Illume keyboard not working).

> On Tue, Feb 03, 2009 at 02:19:31PM +0100, Luca Capello wrote :
>> The problem comes from src/modules/illume/e_flaunch.c:104, where
>> bar_desktops is NULL.
>
> This is unlikely to be the cause of the issue, bar_desktops here is
> the list of entries in the category "Bar".

Thus we have two bugs here.

> How did you come to the conclusion that the issue lies in this
> particular code path ?

--8<---------------cut here---------------start------------->8---
--- e17-0.16.999.050+svn20081207.orig/src/modules/illume/e_flaunch.c
+++ e17-0.16.999.050+svn20081207/src/modules/illume/e_flaunch.c
@@ -101,11 +101,13 @@
    // for now just look for any apps in "category" 'Bar' and add the first 3
    // FIXME: category should be configurable... 
    bar_desktops = efreet_util_desktop_category_list("Bar");
+   printf("\n\n\nGISMO\ne_flaunch.c:104, bar_desktops: |%s|\n\n\n", bar_desktops);
    if (bar_desktops)
      {
 	Efreet_Desktop *desktop;
 	
 	count = ecore_list_count(bar_desktops);
+	printf("\n\n\nGISMO\ne_flaunch.c:104, count: |%d|\n\n\n", count);
 	if (count < max)
 	  {
 	     int i;
--8<---------------cut here---------------end--------------->8---

This is the only ecore_list_count call in the Illume code.  Later I
found that the problem was in other areas as well and I stopped adding
the debug printf above since there are too many other ecore_list_*
calls.

> Besides, illume actually display icons there,

"there" means "in the Illume desktop"?  I.e., when on Illume you are in
the "Illume" window (or whatever you want to call it).  In this case, on
a default Debian on the Openmoko FreeRunner there are no icons.  And I
am not the only one experiencing this problem [2].

> (with the menu shipped in e17), so i'd like to know what menu file
> you're actually using.

I do not know E17 internals, but I think the menu has nothing to do
here, since we are talking about files in /usr/share/applications [3].

However, since you asked for it, with the patch above:


- with the default E17 menu (/etc/xdg/menu/englightenment.menu)

--8<---------------cut here---------------start------------->8---
ESTART: 0.98272 [0.00033] - load modules
EDJE ERROR: file /usr/share/enlightenment/data/themes/illume.edj, \
 group e/modules/kbd/base/default has a non-fixed part. add fixed: 1 1; ???
  Problem part is: e.text.label
  Will recalc min size not allowing broken parts to affect the result.



GISMO
e_flaunch.c:104, bar_desktops: |(null)|


***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_next();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_next();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_next();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_next();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_next();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_next();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_next();

	With the parameter:

	list

	being NULL. Please fix your program.
ESTART: 3.26310 [2.28038] - shelf config init
ESTART: 3.26335 [0.00025] - manage all windows
EEEEK! 2 borders with same client window id in them! very bad!
optimisations failing due to bizarre client behavior. will
work around.
bd=0x25a558, bd->references=2, bd->deleted=0, bd->client.win=80002c
ESTART: 3.42354 [0.16018] - MAIN LOOP AT LAST
ESTART: 4.10711 [0.68357] - SLEEP
***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_next();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_next();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_next();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_next();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_next();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_next();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_first_goto();

	With the parameter:

	list

	being NULL. Please fix your program.
***** Developer Warning ***** :
	This program is calling:

	ecore_list_next();

	With the parameter:

	list

	being NULL. Please fix your program.
EDJE ERROR: file /usr/share/enlightenment/data/themes/illume.edj, \
 group e/modules/kbd/base/default has a non-fixed part. add fixed: 1 1; ???
  Problem part is: e.text.label
  Will recalc min size not allowing broken parts to affect the result.



GISMO
e_flaunch.c:104, bar_desktops: |(null)|


@@ SUSPEND NOW!
--8<---------------cut here---------------end--------------->8---


- with the Debian menu (packages menu and menu-xdg required):
--8<---------------cut here---------------start------------->8---
ESTART: 0.98040 [0.00033] - load modules
EDJE ERROR: file /usr/share/enlightenment/data/themes/illume.edj, \
 group e/modules/kbd/base/default has a non-fixed part. add fixed: 1 1; ???
  Problem part is: e.text.label
  Will recalc min size not allowing broken parts to affect the result.



GISMO
e_flaunch.c:104, bar_desktops: |(null)|


ESTART: 3.24548 [2.26508] - shelf config init
ESTART: 3.24573 [0.00025] - manage all windows
EEEEK! 2 borders with same client window id in them! very bad!
optimisations failing due to bizarre client behavior. will
work around.
bd=0x25a4f8, bd->references=2, bd->deleted=0, bd->client.win=80002c
ESTART: 3.40713 [0.16139] - MAIN LOOP AT LAST
ESTART: 4.13037 [0.72324] - SLEEP
EDJE ERROR: file /usr/share/enlightenment/data/themes/illume.edj, \
 group e/modules/kbd/base/default has a non-fixed part. add fixed: 1 1; ???
  Problem part is: e.text.label
  Will recalc min size not allowing broken parts to affect the result.



GISMO
e_flaunch.c:104, bar_desktops: |(null)|


@@ SUSPEND NOW!
--8<---------------cut here---------------end--------------->8---

> PS: illume does have an issue with icons, as some of them are not showing. But
> still, the items are present and clickable. Maybe a more recent snapshot would
> fix this, I'll look into it

I do not know which SVN snapshot the FreeSmartphone.Org images uses,
sorry.

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://bugs.debian.org/514021
[2] http://lists.linuxtogo.org/pipermail/smartphones-userland/2009-January/000915.html
[3] http://lists.linuxtogo.org/pipermail/smartphones-userland/2009-January/000919.html
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Tue, 03 Feb 2009 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nikita V. Youshchenko" <yoush@cs.msu.su>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Tue, 03 Feb 2009 19:00:03 GMT) Full text and rfc822 format available.

Message #22 received at 514018@bugs.debian.org (full text, mbox):

From: "Nikita V. Youshchenko" <yoush@cs.msu.su>
To: Luca Capello <luca@pca.it>
Cc: 514018@bugs.debian.org, pkg-fso-maint@lists.alioth.debian.org
Subject: Re: [Pkg-e-devel] Bug#514018: [pkg-fso-maint] Bug#514018: e17: missing Illume launcher icons
Date: Tue, 3 Feb 2009 21:56:51 +0300
> I do not know which SVN snapshot the FreeSmartphone.Org images uses,
> sorry.

FSO packages are exactly the same packages as Albin prepared for 
experimental, and that are in NEW already for a month.

The only differennce is ~fr.1 suffix at version strings.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Tue, 03 Feb 2009 19:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Albin Tonnerre <albin.tonnerre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Tue, 03 Feb 2009 19:33:03 GMT) Full text and rfc822 format available.

Message #27 received at 514018@bugs.debian.org (full text, mbox):

From: Albin Tonnerre <albin.tonnerre@gmail.com>
To: 514018@bugs.debian.org
Cc: pkg-fso-maint@lists.alioth.debian.org
Subject: Re: [pkg-fso-maint] Bug#514018: e17: missing Illume launcher icons
Date: Tue, 3 Feb 2009 20:32:15 +0100
[Message part 1 (text/plain, inline)]
Hey Luca,

I think you're tracing the wrong codepath. (And I'm not really surprised that
you get NULL pointers, as I doubt any applications actually has Categories=Bar)
If I'm not mistaken, the code responsible for displaying icons on the desktop in
the illume window is _apps_populate, in illume/e_mod_win.c. The results here
might be more interesting, especially because there seem to be some
special-casing in the function.

Cheers,
-- 
Albin Tonnerre
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Tue, 03 Feb 2009 22:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Tue, 03 Feb 2009 22:15:06 GMT) Full text and rfc822 format available.

Message #32 received at 514018@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: "Nikita V. Youshchenko" <yoush@cs.msu.su>
Cc: 514018@bugs.debian.org, pkg-fso-maint@lists.alioth.debian.org
Subject: Re: [Pkg-e-devel] Bug#514018: [pkg-fso-maint] Bug#514018: e17: missing Illume launcher icons
Date: Tue, 03 Feb 2009 23:11:32 +0100
[Message part 1 (text/plain, inline)]
Hi Nikita!

On Tue, 03 Feb 2009 19:56:51 +0100, Nikita V. Youshchenko wrote:
>> I do not know which SVN snapshot the FreeSmartphone.Org images uses,
                                                           ^^^^^^
>> sorry.
>
> FSO packages are exactly the same packages as Albin prepared for
      ^^^^^^^^
> experimental, and that are in NEW already for a month.
>
> The only differennce is ~fr.1 suffix at version strings.

I have never talked about "packages", but "images", i.e. the official
one you get from http://wiki.openmoko.org/wiki/FSO .

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Sat, 14 Feb 2009 17:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nikita V. Youshchenko" <yoush@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sat, 14 Feb 2009 17:48:02 GMT) Full text and rfc822 format available.

Message #37 received at 514018@bugs.debian.org (full text, mbox):

From: "Nikita V. Youshchenko" <yoush@debian.org>
To: 514018@bugs.debian.org
Subject: This is related to menu-xdg and/or menu package not installed
Date: Sat, 14 Feb 2009 20:43:56 +0300
[Message part 1 (text/plain, inline)]
Hi

After installing menu and menu-xdg packages (btw, why e17 does not depend 
on those?), and removing ~/.e, my desktop was not empty.

It contained xman launcher, that really launched xman. But nothing more.

Nikita
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Mon, 23 Feb 2009 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Albin Tonnerre <albin.tonnerre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Mon, 23 Feb 2009 00:27:03 GMT) Full text and rfc822 format available.

Message #42 received at 514018@bugs.debian.org (full text, mbox):

From: Albin Tonnerre <albin.tonnerre@gmail.com>
To: "Nikita V. Youshchenko" <yoush@debian.org>
Cc: 514018@bugs.debian.org
Subject: Re: [Pkg-e-devel] Bug#514018: This is related to menu-xdg and/or menu package not installed
Date: Mon, 23 Feb 2009 01:25:51 +0100
[Message part 1 (text/plain, inline)]
On Sat, Feb 14, 2009 at 08:43:56PM +0300, Nikita V. Youshchenko wrote :
> Hi
> 
> After installing menu and menu-xdg packages (btw, why e17 does not depend 
> on those?), and removing ~/.e, my desktop was not empty.
> 

It doesn't depend on menu because that wouldn't bring anything, as there's no
menu-method provided by e17 (that might be considered a bug, but I do dislike
the menu system and I'm really conviced I should do so, see below). Concerning
menu-xdg, the immediate benefit would be that you can use debian-menu.menu as
menu, which is a thing you clearly do NOT want if you're using illume, see below

> It contained xman launcher, that really launched xman. But nothing more.
> 

The function that builds the list of icons illume displays, which I pointed out
2 emails before, actually displays menu entries which have precisely one nesting
level, such as Graphics->Gimp, which is not the case of the debian menu
(applications->graphics->gimp). This is why basically everyone sees no icon on
the illume desktop. This is also why you only see xman, the help subsection has
no submenu, you get help->xman.

OTOH, there's an e17-applications.menu provided with e17
that you might want to try - it does work way better here (well, at least it
displays most icons). I'd be interested in the result you get when using it

Hope that helps,
-- 
Albin Tonnerre
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Wed, 11 Mar 2009 09:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nikita V. Youshchenko" <yoush@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Wed, 11 Mar 2009 09:54:08 GMT) Full text and rfc822 format available.

Message #47 received at 514018@bugs.debian.org (full text, mbox):

From: "Nikita V. Youshchenko" <yoush@debian.org>
To: pkg-e-devel@lists.alioth.debian.org
Cc: Albin Tonnerre <albin.tonnerre@gmail.com>, pkg-fso-maint@lists.alioth.debian.org, 514018@bugs.debian.org
Subject: Re: [Pkg-e-devel] [pkg-fso-maint] Updated pkg-e packages
Date: Wed, 11 Mar 2009 12:37:44 +0300
> I'm looking forward to seeing your answer to my last mail on #514018

> > OTOH, there's an e17-applications.menu provided with e17
> > that you might want to try - it does work way better here (well, at
> > least it displays most icons). I'd be interested in the result you get
> > when using it 

My test is: remove ~/.e/ completely, then start X with e17.

First a dialog appears that asks me for language. Btw, "Russian" is the 
only choice there - but that could be related to the fact that I don't 
have other locales generated.

Second, I'm asked for "module" (or something similar, don't remember and 
can't test right now) and I choose Illime from the option list.

Then, I get a two-choice question with "debian-menu.menu" 
and "e17-applications.menu" choices.

Then, I get a question abouth what to include into quick launcher, with 
icons for currently installed programs and a checkbox near each.

Then, illume desktop appears.

With the current package set, I get no icons regardless of what I answer to 
the last two questions. Tried both "debian-menu.menu" 
and "e17-applications.menu" in the former. Tried to select nothing, or 
some, or all on the later question.

But perhaps something got broken in my filesystem during larse number of 
package installs/uninstalls/upgrades? What should I check (other than 
removing ~/.e/) to ensure a "clean startup"?

P.S.
I think I can provide remote access to my FR over a fast connection if that 
will help to find out what is going wrong.

Nikita




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Sat, 14 Mar 2009 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sat, 14 Mar 2009 04:51:03 GMT) Full text and rfc822 format available.

Message #52 received at 514018@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <514018@bugs.debian.org>
Subject: e17: I would also like to raise severity...
Date: Sat, 14 Mar 2009 00:44:44 -0400
[Message part 1 (text/plain, inline)]
Package: e17
Version: 0.16.999.050+svn20081207-2~fr.1
Followup-For: Bug #514018


got tired with all opkg mess, decided to get back to Debian ;)
especially since there is e17 package! THANKS!

installed using that install.sh with 
,-
| INST_DIR=/media/debian DASH_BINSH=false  ./install.sh testing time debian apt fso configuration kernel unmount
`---
afterwards installed:
,--
| # we like to have control over configs ;)
| apt-get install git-core etckeeper
| # minimal set of interesting packages and illume!
| apt-get install subversion e17 less vim zsh ntpdate cellwriter qwo dillo fbreader tangogps evince osmo x2x rsync screen ipython python-openssl python-wxgtk2.8 unrar patch vim-scripts indent strace gdb
`---

followed instructions to start it up in .xsession:
zhone &
enlightenment_start

started fine and no icons... found this bug report... tried:

,---
| apt-get install menu menu-xdg
| /etc/init.d/nodm stop
| rm -rf ~/.e
| /etc/init.d/nodm start
| # in the choices:
| # no languages avail --> Next
| # Illume profile
| # Enlightment (Applications)
|
| # no icons
| # trying to add pieces which might help... have desktop-directories
| apt-get install gnome-menus extra-xdg-menus
| # same clean restart magic as above
| # no icons
`---

now I have also other choices for menu (Debian) etc... those do not cause
those evil ***** Developer Warning *****  but still no icons (tried only
Debian choice)

I wonder though if 
EDJE ERROR: file /usr/share/enlightenment/data/themes/illume.edj, group e/modules/kbd/base/default has a non-fixed part. add fixed: 1 1; ???
  Problem part is: e.text.label
  Will recalc min size not allowing broken parts to affect the result.


has anything to do with it?

meanwhile sending my .xsession-errors (filtered to remove possibly sensitive data using

,--
| grep -v -e Halchenko -e '^retriev' -e '^network' ~/.xsession-errors > ~/.xsession-errors.filtered
`---


let me know on how could I troubleshoot the beast more ;)
if you do have it working -- would you mind providing complete list of packages installed and may be even a list of files under /usr...

e.g. do you have
/usr/share/enlightenment/data/fonts
?
according to strace it tries to open it but I don't have it


also sending one of the straces which I recorded while I moved a
.desktop away from applications/ to trigger update.


-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (990, 'testing'), (600, 'unstable'), (300, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[e17.strace.5666 (text/x-c, attachment)]
[.xsession-errors.filtered (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Sat, 14 Mar 2009 06:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nikita V. Youshchenko" <yoush@cs.msu.su>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sat, 14 Mar 2009 06:21:02 GMT) Full text and rfc822 format available.

Message #57 received at 514018@bugs.debian.org (full text, mbox):

From: "Nikita V. Youshchenko" <yoush@cs.msu.su>
To: pkg-e-devel@lists.alioth.debian.org
Cc: Yaroslav Halchenko <debian@onerussian.com>, 514018@bugs.debian.org
Subject: Re: [Pkg-e-devel] Bug#514018: e17: I would also like to raise severity...
Date: Sat, 14 Mar 2009 09:17:13 +0300
> got tired with all opkg mess, decided to get back to Debian ;)
> especially since there is e17 package! THANKS!

FYI, I've just uploaded updated e17 stack to pkg-fso ... but it does not 
fix no-icons problem :(

But what about font? Could you get a reasonable (i.e. readable without a    
microscope) font in illume's window title?

Nikita




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Sat, 14 Mar 2009 08:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mitja Kleider <mitja@mitjakleider.de>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sat, 14 Mar 2009 08:57:02 GMT) Full text and rfc822 format available.

Message #62 received at 514018@bugs.debian.org (full text, mbox):

From: Mitja Kleider <mitja@mitjakleider.de>
To: 514018@bugs.debian.org
Subject: e17_0.16.999.050+svn20090203-1~fr.1
Date: Sat, 14 Mar 2009 09:55:19 +0100
[Message part 1 (text/plain, inline)]
For the current build (svn20090203) you can get icons if you use SHR's
configuration (attached). I did not find out what makes the difference.

The missing font directory affects the font selection dialog: there is
little choice compared to other distributions like FSO.

The error
> EDJE ERROR: file /usr/share/enlightenment/data/themes/illume.edj,
> group e/modules/kbd/base/default has a non-fixed part.
> add fixed: 1 1; ???
>  Problem part is: e.text.label
>  Will recalc min size not allowing broken parts to affect the result.
could be connected to the issue that you cannot change keyboard and dict
anymore, because the height of the select bar popping up is just 1
pixel.

The font issue is solved in FSO by scaling DPI (around 2x).

Mitja
[applications.menu (application/xml, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Sat, 14 Mar 2009 09:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Albin Tonnerre <albin.tonnerre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sat, 14 Mar 2009 09:12:09 GMT) Full text and rfc822 format available.

Message #67 received at 514018@bugs.debian.org (full text, mbox):

From: Albin Tonnerre <albin.tonnerre@gmail.com>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: Debian Bug Tracking System <514018@bugs.debian.org>
Subject: Re: [Pkg-e-devel] Bug#514018: e17: I would also like to raise severity...
Date: Sat, 14 Mar 2009 10:09:59 +0100
[Message part 1 (text/plain, inline)]
Hello,

Woukd you mind sending me the complete content of /usr/share/applications
(shouldn't be too large, it's 76Kb uncompressed here) ? I think that might
just be that none of the categories of the desktop files you have on your
system are matched by the menu.

TIA,
Albin
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Sat, 14 Mar 2009 09:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Albin Tonnerre <albin.tonnerre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sat, 14 Mar 2009 09:18:05 GMT) Full text and rfc822 format available.

Message #72 received at 514018@bugs.debian.org (full text, mbox):

From: Albin Tonnerre <albin.tonnerre@gmail.com>
To: "Nikita V. Youshchenko" <yoush@debian.org>
Cc: pkg-e-devel@lists.alioth.debian.org, 514018@bugs.debian.org, pkg-fso-maint@lists.alioth.debian.org
Subject: Re: [Pkg-e-devel] Bug#514018: [pkg-fso-maint] Updated pkg-e packages
Date: Sat, 14 Mar 2009 10:16:10 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Wed, Mar 11, 2009 at 10:37 AM, Nikita V. Youshchenko <yoush@debian.org>wrote:

> Then, I get a two-choice question with "debian-menu.menu"
> and "e17-applications.menu" choices.
>
> Then, I get a question abouth what to include into quick launcher, with
> icons for currently installed programs and a checkbox near each.
>
> Then, illume desktop appears.
>
> With the current package set, I get no icons regardless of what I answer to
> the last two questions. Tried both "debian-menu.menu"
> and "e17-applications.menu" in the former. Tried to select nothing, or
> some, or all on the later question.
>

The last question (what to include in the quick launcher) has no effect on
what icons show on the desktop, as the selected apps are written to
~/.e/e/applications/bar/default/.order, which is the place the ibar module
looks at.


>
> But perhaps something got broken in my filesystem during larse number of
> package installs/uninstalls/upgrades? What should I check (other than
> removing ~/.e/) to ensure a "clean startup"?
>

What you did seems perfectly fine


>
> P.S.
> I think I can provide remote access to my FR over a fast connection if that
> will help to find out what is going wrong.
>

For now, providing an archive containing all the .desktop files from
/usr/share/applications would be enough.

Thanks,
Albin
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Sat, 14 Mar 2009 17:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sat, 14 Mar 2009 17:15:02 GMT) Full text and rfc822 format available.

Message #77 received at 514018@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Albin Tonnerre <albin.tonnerre@gmail.com>
Cc: Debian Bug Tracking System <514018@bugs.debian.org>
Subject: Re: [Pkg-e-devel] Bug#514018: e17: I would also like to raise severity...
Date: Sat, 14 Mar 2009 13:14:22 -0400
[Message part 1 (text/plain, inline)]
sure... find attached... tarball is done from root dir to include that
enlightment menu from  etc

On Sat, 14 Mar 2009, Albin Tonnerre wrote:

>    Hello,
>    Woukd you mind sending me the complete content of
>    /usr/share/applications (shouldn't be too large, it's 76Kb uncompressed
>    here) ? I think that might just be that none of the categories of the
>    desktop files you have on your system are matched by the menu.
>    TIA,
>    Albin

-- 
Yaroslav Halchenko
Research Assistant, Psychology Department, Rutgers-Newark
Student  Ph.D. @ CS Dept. NJIT
Office: (973) 353-1412 | FWD: 82823 | Fax: (973) 353-1171
        101 Warren Str, Smith Hall, Rm 4-105, Newark NJ 07102
WWW:     http://www.linkedin.com/in/yarik        
[debian-e17-menu.tgz (application/x-tar-gz, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Sun, 15 Mar 2009 23:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sun, 15 Mar 2009 23:15:02 GMT) Full text and rfc822 format available.

Message #82 received at 514018@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Albin Tonnerre <albin.tonnerre@gmail.com>
Cc: Debian Bug Tracking System <514018@bugs.debian.org>
Subject: Re: [Pkg-e-devel] Bug#514018: e17: I would also like to raise severity...
Date: Sun, 15 Mar 2009 18:54:18 -0400
[Message part 1 (text/plain, inline)]
uff... sorry... kids are running around -- spurious clicks happen ;)

-- 
Yaroslav Halchenko
Research Assistant, Psychology Department, Rutgers-Newark
Student  Ph.D. @ CS Dept. NJIT
Office: (973) 353-1412 | FWD: 82823 | Fax: (973) 353-1171
        101 Warren Str, Smith Hall, Rm 4-105, Newark NJ 07102
WWW:     http://www.linkedin.com/in/yarik        
[applications.menu (text/plain, attachment)]
[enlightenment-applications.menu (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Sun, 15 Mar 2009 23:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Sun, 15 Mar 2009 23:18:10 GMT) Full text and rfc822 format available.

Message #87 received at 514018@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Albin Tonnerre <albin.tonnerre@gmail.com>
Cc: Debian Bug Tracking System <514018@bugs.debian.org>
Subject: Re: [Pkg-e-devel] Bug#514018: e17: I would also like to raise severity...
Date: Sun, 15 Mar 2009 18:47:59 -0400
ok guys... see attached 2 files:

applications.menu present on FSO -- icons are there!
and
enlightment-applications.menu -- provided with debian (no icons)

I just copied applications.menu under /etc/xdg/menus
restarted nodm

and voila -- icons are there! ;)

I haven't looked in details yet... just wanted to share

On Sat, 14 Mar 2009, Albin Tonnerre wrote:

>    Hello,
>    Woukd you mind sending me the complete content of
>    /usr/share/applications (shouldn't be too large, it's 76Kb uncompressed
>    here) ? I think that might just be that none of the categories of the
>    desktop files you have on your system are matched by the menu.
>    TIA,
>    Albin

-- 
Yaroslav Halchenko
Research Assistant, Psychology Department, Rutgers-Newark
Student  Ph.D. @ CS Dept. NJIT
Office: (973) 353-1412 | FWD: 82823 | Fax: (973) 353-1171
        101 Warren Str, Smith Hall, Rm 4-105, Newark NJ 07102
WWW:     http://www.linkedin.com/in/yarik        




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#514018; Package e17. (Fri, 20 Mar 2009 23:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Albin Tonnerre <albin.tonnerre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Fri, 20 Mar 2009 23:12:05 GMT) Full text and rfc822 format available.

Message #92 received at 514018@bugs.debian.org (full text, mbox):

From: Albin Tonnerre <albin.tonnerre@gmail.com>
To: Debian Bug Tracking System <514018@bugs.debian.org>
Cc: control@bugs.debian.org
Subject: This is in fact a bug in efreet
Date: Sat, 21 Mar 2009 00:08:29 +0100
reassign 514018 efreet
severity 514018 important
retitle 514018 Efreet: signedness errors cause malfunctions on some
architectures
thanks

Hi,
Thanks to Nikita, you allowed me to access his FreeRunner, and the various mails
in this thread, I've found out that some parts of the code rely on the fact that
char are signed. This is not the case on the freerunner. Those errors
are causing
issues at least when using a menu having a <Layout> section, as some people
pointed out. I'll upload a patched version within the next days.

Regards,
Albin




Bug reassigned from package `e17' to `efreet'. Request was from Albin Tonnerre <albin.tonnerre@gmail.com> to control@bugs.debian.org. (Fri, 20 Mar 2009 23:12:06 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Albin Tonnerre <albin.tonnerre@gmail.com> to control@bugs.debian.org. (Fri, 20 Mar 2009 23:12:07 GMT) Full text and rfc822 format available.

Changed Bug title to `Efreet: signedness errors cause malfunctions on some' from `e17: missing Illume launcher icons'. Request was from Albin Tonnerre <albin.tonnerre@gmail.com> to control@bugs.debian.org. (Fri, 20 Mar 2009 23:12:07 GMT) Full text and rfc822 format available.

Reply sent to Albin Tonnerre <albin.tonnerre@gmail.com>:
You have taken responsibility. (Wed, 01 Apr 2009 18:09:03 GMT) Full text and rfc822 format available.

Notification sent to Luca Capello <luca@pca.it>:
Bug acknowledged by developer. (Wed, 01 Apr 2009 18:09:03 GMT) Full text and rfc822 format available.

Message #103 received at 514018-close@bugs.debian.org (full text, mbox):

From: Albin Tonnerre <albin.tonnerre@gmail.com>
To: 514018-close@bugs.debian.org
Subject: Bug#514018: fixed in efreet 0.5.0.050+svn20090203-2
Date: Wed, 01 Apr 2009 17:47:04 +0000
Source: efreet
Source-Version: 0.5.0.050+svn20090203-2

We believe that the bug you reported is fixed in the latest version of
efreet, which is due to be installed in the Debian FTP archive:

efreet_0.5.0.050+svn20090203-2.diff.gz
  to pool/main/e/efreet/efreet_0.5.0.050+svn20090203-2.diff.gz
efreet_0.5.0.050+svn20090203-2.dsc
  to pool/main/e/efreet/efreet_0.5.0.050+svn20090203-2.dsc
libefreet-0.5.0.050a_0.5.0.050+svn20090203-2_i386.deb
  to pool/main/e/efreet/libefreet-0.5.0.050a_0.5.0.050+svn20090203-2_i386.deb
libefreet-dev_0.5.0.050+svn20090203-2_i386.deb
  to pool/main/e/efreet/libefreet-dev_0.5.0.050+svn20090203-2_i386.deb
libefreet-doc_0.5.0.050+svn20090203-2_all.deb
  to pool/main/e/efreet/libefreet-doc_0.5.0.050+svn20090203-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 514018@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Albin Tonnerre <albin.tonnerre@gmail.com> (supplier of updated efreet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Mar 2009 23:57:53 +0100
Source: efreet
Binary: libefreet-0.5.0.050a libefreet-dev libefreet-doc
Architecture: source all i386
Version: 0.5.0.050+svn20090203-2
Distribution: experimental
Urgency: low
Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Changed-By: Albin Tonnerre <albin.tonnerre@gmail.com>
Description: 
 libefreet-0.5.0.050a - Library that implements freedesktop.org specs for use with E17/EF
 libefreet-dev - Development files for libefreet and libefreet-mime
 libefreet-doc - libefreet and libfreet-mime API documentation
Closes: 514018
Changes: 
 efreet (0.5.0.050+svn20090203-2) experimental; urgency=low
 .
   * Add debian/patches/04_fix_signedness_issues.diff:
     - Cherry-pick from SVN rev. 39610 (Closes: #514018)
   * Bump Standards-Version to 3.8.1, no change required
   * Name properly the shlibs file
   * Include efreet-trash.pc in libefreet-dev
   * make the packaging copyright point to /usr/share/common-licenses/GPL-2
     instead of /GPL
Checksums-Sha1: 
 f32d2a00b04ca2253bdd0dc78e81f579a149f89c 1484 efreet_0.5.0.050+svn20090203-2.dsc
 032e224b875492a96636a6f8efbe7413a3021fd8 8137 efreet_0.5.0.050+svn20090203-2.diff.gz
 b3e39adb992c5d53966af518af65fe6e8101b1bf 709098 libefreet-doc_0.5.0.050+svn20090203-2_all.deb
 06aec9402e3b713f80335b2631ec79a313d10b41 54732 libefreet-0.5.0.050a_0.5.0.050+svn20090203-2_i386.deb
 c68e663f5fbc4043ca5e46d0d48e52794438fdfd 61648 libefreet-dev_0.5.0.050+svn20090203-2_i386.deb
Checksums-Sha256: 
 4d7eadc8915b9c90be6ad5ddf17efb6214f71f51b377eb12d0685beeed04d6de 1484 efreet_0.5.0.050+svn20090203-2.dsc
 81718c772980648b4ad80e9b67b06e4fe6bc3e63331a547eb08e6ed24227d0d0 8137 efreet_0.5.0.050+svn20090203-2.diff.gz
 16d922c1f3dc23d476c9564e27695b7cbb77c6653d90474df60b0bd61cad4cf0 709098 libefreet-doc_0.5.0.050+svn20090203-2_all.deb
 eb5e1cfca3b5ce1f74f8bc02864c1c21e5e91a12c98c43a796fe7f96afd212f4 54732 libefreet-0.5.0.050a_0.5.0.050+svn20090203-2_i386.deb
 7654dea35343ef28d9d1c7dd12d7989e554e4685ef1424e65e62ebd3b6e50240 61648 libefreet-dev_0.5.0.050+svn20090203-2_i386.deb
Files: 
 a77750ac1b3553f8d5ca6acd93215251 1484 libs optional efreet_0.5.0.050+svn20090203-2.dsc
 48276e5a4d465bb2325ecb947ce724aa 8137 libs optional efreet_0.5.0.050+svn20090203-2.diff.gz
 8a15ed5c792d5ce1b937271973e293e8 709098 doc optional libefreet-doc_0.5.0.050+svn20090203-2_all.deb
 fab37eb7528cde9bd22008298ef1ce2d 54732 libs optional libefreet-0.5.0.050a_0.5.0.050+svn20090203-2_i386.deb
 6dcedc69840428db2e9efe719d7df71c 61648 libdevel optional libefreet-dev_0.5.0.050+svn20090203-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknTpS4ACgkQv3x5OskTLduG3ACdEtI/0Ga8N0YvTa/a2svW5hP3
AvgAnRT6oH5R4ofq6YiS/deoyr3JIrPE
=xfTL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 Apr 2009 07:27:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:21:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.